<div class="modal-header">
  <h4 class="modal-title" jhiTranslate="employerManagement.modal.editTitle">Create
    employer</h4>
  <button type="button" class="btn" aria-label="Close" (click)="activeModal.dismiss('close')">
    <i class="bi bi-x-lg"></i>
  </button>
</div>
<div class="modal-body">
  <div class="form-group">
    <label class="form-control-label" jhiTranslate="employerManagement.modal.employerName">Category</label>
    <div>
      <input type="text" class="form-control" [(ngModel)]="name" (change)="handleValidate()" [ngClass]="{'error-input': errorRequired}">
    </div>
    <div *ngIf="errorRequired">
      <small class="form-text text-danger" *ngIf="errorRequired" jhiTranslate="entity.validation.required">
        This field is required.
      </small>
    </div>
  </div>
</div>
<div class="modal-footer">
  <button type="button" class="btn" (click)="activeModal.dismiss('close')">Cancel</button>
  <button type="button" class="btn btn-primary" (click)="onSubmit()" [disabled]="isDisableSubmit">Save</button>
</div>